# norootforbuild
Name:           libv4l
Version:        0.6.0
Release:        16.7
Summary:        Collection of video4linux support libraries 
Group:          System/Libraries
License:        LGPLv2+
URL:            http://hansdegoede.livejournal.com/3636.html
Source0:        http://people.atrpms.net/~hdegoede/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kernel-headers
Requires:       coreutils grep sed

%description
libv4l is a collection of libraries which adds a thin abstraction layer on
top of video4linux2 devices. The purpose of this (thin) layer is to make it
easy for application writers to support a wide variety of devices without
having to write separate code for different devices in the same class. libv4l
consists of 3 different libraries: libv4lconvert, libv4l1 and libv4l2.

libv4lconvert offers functions to convert from any (known) pixelformat
to V4l2_PIX_FMT_BGR24 or V4l2_PIX_FMT_YUV420.

libv4l1 offers the (deprecated) v4l1 API on top of v4l2 devices, independent
of the drivers for those devices supporting v4l1 compatibility (which many
v4l2 drivers do not).

libv4l2 offers the v4l2 API on top of v4l2 devices, while adding for the
application transparent libv4lconvert conversion where necessary.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%__make %{?jobs:-j%jobs} CFLAGS="$RPM_OPT_FLAGS"


%install
%__make install PREFIX=%{_prefix} LIBDIR=%{_libdir} DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING.LIB ChangeLog README TODO
%{_libdir}/libv4l*so.0
%{_libdir}/libv4l

%files devel
%defattr(-,root,root,-)
%doc README.multi-threading
%{_includedir}/libv4l*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%changelog
* Sat Jul 11 2009 Carsten Schoene <cs@linux-administrator.com> - 0.6.0-16
- update to release 0.6.0
* Wed Jul 08 2009 Carsten Schoene <cs@linux-administrator.com> - 0.5.9-15
- initial import
